com.rscja.deviceapi

## Class DeviceConfiguration

- java.lang.Object
- - com.rscja.deviceapi.DeviceConfiguration

-     public class DeviceConfiguration
      extends java.lang.Object

  �豸����������
  Device configuration class.
  Author:
    liuruifeng

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeviceConfiguration` | `builder1DConfiguration()` ����һά����������Ϣ
    `static DeviceConfiguration` | `builderBDConfiguration()` ��������������Ϣ Build BD configuration information.
    `static DeviceConfiguration` | `builderFingerprintConfiguration()` ����Fingerprint������Ϣ Build Fingerprint configuration information.
    `static DeviceConfiguration` | `builderRFIDConfiguration()` ����RFID������Ϣ Build RFID configuration information.
    `static DeviceConfiguration` | `builderRS232Configuration()`
    `static DeviceConfiguration` | `builderSerialPortConfiguration()`
    `static DeviceConfiguration` | `builderUHFConfiguration()` ����UHF������Ϣ Create UHF config infor.
    `int` | `getBaudrate()` ��ȡ������ Get baudrate
    `java.lang.String` | `getDeviceName()` ��ȡ�豸�� Get device name
    `static java.lang.String` | `getModel()` ��ȡ�豸�ͺ� Get device model.
    `java.lang.String` | `getUart()` ��ȡ����·�� Get uart path
    `void` | `setBaudrate(int baudrate)` ���ò����� Set Baudrate
    `void` | `setDeviceName(java.lang.String deviceName)` �����豸�� Set device name.
    `void` | `setUart(java.lang.String uart)` ���ô���·�� Device name Set UART path

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getModel

          public static java.lang.String getModel()

      ��ȡ�豸�ͺ�
      Get device model.
      Returns:

    - #### builderRFIDConfiguration

          public static DeviceConfiguration builderRFIDConfiguration()
                                                              throws ConfigurationException

      ����RFID������Ϣ
      Build RFID configuration information.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderFingerprintConfiguration

          public static DeviceConfiguration builderFingerprintConfiguration()
                                                                     throws ConfigurationException

      ����Fingerprint������Ϣ
      Build Fingerprint configuration information.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderUHFConfiguration

          public static DeviceConfiguration builderUHFConfiguration()
                                                             throws ConfigurationException

      ����UHF������Ϣ
      Create UHF config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderBDConfiguration

          public static DeviceConfiguration builderBDConfiguration()
                                                            throws ConfigurationException

      ��������������Ϣ
      Build BD configuration information.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderSerialPortConfiguration

          public static DeviceConfiguration builderSerialPortConfiguration()
                                                                    throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### builderRS232Configuration

          public static DeviceConfiguration builderRS232Configuration()
                                                               throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### builder1DConfiguration

          public static DeviceConfiguration builder1DConfiguration()
                                                            throws ConfigurationException

      ����һά����������Ϣ
      Returns:
      Throws:
        `ConfigurationException`

    - #### setDeviceName

          public void setDeviceName(java.lang.String deviceName)

      �����豸��
      Set device name.
      Parameters:
        `deviceName` - �豸�����磺"V600"
        Device name, for example V600

    - #### setUart

          public void setUart(java.lang.String uart)

      ���ô���·�� Device name Set UART path
      Parameters:
        `uart` - ����·�����磺"/dev/ttyHSL1"
        Uart path, for example: "/dev/ttyHSL1"

    - #### setBaudrate

          public void setBaudrate(int baudrate)

      ���ò�����
      Set Baudrate
      Parameters:
        `baudrate` - �����ʣ��磺9600
        Baudrate, for example: 9600.

    - #### getDeviceName

          public java.lang.String getDeviceName()

      ��ȡ�豸��
      Get device name
      Returns:
        �豸��
        Return device name

    - #### getUart

          public java.lang.String getUart()

      ��ȡ����·��
      Get uart path
      Returns:
        ����·��
        Return uart path

    - #### getBaudrate

          public int getBaudrate()

      ��ȡ������
      Get baudrate
      Returns:
        ������
        Return baudrate